Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d
Class TriangleMS3D

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.TriangleMS3D

    public class TriangleMS3D

extends java.lang.Object

A Triangle is a polygon in MD3D. It holds indexes to the three vertices in the model, as well as indexes to its normals.

Version:
  0.1
Author:
  naj

Field Summary
`int` | `flags` The flags in MS3D.
`int` | `normalIndex1` Normal 1.
`int` | `normalIndex2` Normal 2.
`int` | `normalIndex3` Normal 3.
`int` | `smoothingGroup` The MS3D smoothing group.
`int` | `vertexIndex1` Vertex 1.
`int` | `vertexIndex2` Vertex 2.
`int` | `vertexIndex3` Vertex 3.

Constructor Summary
`TriangleMS3D(int flags, int vertexIndex1, int vertexIndex2, int vertexIndex3, int normalIndex1, int normalIndex2, int normalIndex3, int smoothingGroup)` Creates a triangle with the vertices and normals given.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    public int flags

  The flags in MS3D.

### vertexIndex1

    public int vertexIndex1

  Vertex 1.

### vertexIndex2

    public int vertexIndex2

  Vertex 2.

### vertexIndex3

    public int vertexIndex3

  Vertex 3.

### normalIndex1

    public int normalIndex1

  Normal 1.

### normalIndex2

    public int normalIndex2

  Normal 2.

### normalIndex3

    public int normalIndex3

  Normal 3.

### smoothingGroup

    public int smoothingGroup

  The MS3D smoothing group.

Constructor Detail

### TriangleMS3D

    public TriangleMS3D(int flags,
                        int vertexIndex1,
                        int vertexIndex2,
                        int vertexIndex3,
                        int normalIndex1,
                        int normalIndex2,
                        int normalIndex3,
                        int smoothingGroup)

  Creates a triangle with the vertices and normals given.

  Parameters:
    `flags` - the MS3D flags.
    `vertexIndex1` - vertex 1.
    `vertexIndex2` - vertex 2.
    `vertexIndex3` - vertex 3.
    `normalIndex1` - normal 1.
    `normalIndex2` - normal 2.
    `normalIndex3` - normal 3.
    `smoothingGroup` - the MS3D smoothing group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD